dots.v2.droplets.byDroplet_id().destroy_with_associated_resources.dangerous.delete()
Generated on 27 Oct 2026
from DoTs version
v1.21.0
Usage
client.v2.droplets.byDroplet_id(droplet_id).destroy_with_associated_resources.dangerous.delete(requestConfiguration?: RequestConfiguration<object>): Promise<void>Description
To destroy a Droplet along with all of its associated resources, send a DELETE
request to the /v2/droplets/{droplet_id}/destroy_with_associated_resources/dangerous
endpoint. The headers of this request must include an X-Dangerous key set to
true. To preview which resources will be destroyed, first query the
Droplet’s associated resources. This operation can not be reverse and should
be used with caution.
A successful response will include a 202 response code and no content. Use the status endpoint to check on the success or failure of the destruction of the individual resources.
Parameters
Path Parameters
droplet_idinteger requiredExample:
3164444A unique identifier for a Droplet instance.
Headers
X-Dangerousboolean requiredExample:
trueAcknowledge this action will destroy the Droplet and all associated resources and _can not_ be reversed.
Request Sample
More Information
See /v2/droplets/{droplet_id}/destroy_with_associated_resources/dangerous in the API reference for additional detail on responses, headers, parameters, and more.